/*
 * Copyright (C) 2010 - Paulo Ricardo Zanoni <pzanoni@mandriva.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 */

#ifndef MODEINFO_H
#define MODEINFO_H

#include <string>
#include <list>

#include <X11/Xlib.h>
#include <X11/extensions/Xrandr.h>

class ModeInfo
{
    public:
	RRMode xid;
	std::string name;
	unsigned long dotClock;

	unsigned int width;
	unsigned int height;

	ModeInfo(XRRModeInfo *x_mode_info);
	void update_info(XRRModeInfo *x_mode_info);
};

#endif
